<script lang="ts" setup>
import { useAuthStore } from '@/stores/auth'
import type User from '@/types/user'
import { onMounted } from 'vue'

const authStore = useAuthStore()
const user: User = authStore.getUser()
onMounted(async () => {
  await authStore.getUser()
})
</script>
<template>
  <v-toolbar style="background-color: #8c122a; height: 80px; width: auto">
    <v-toolbar-title class="display-2">
      <v-btn
        variant="text"
        depressed
        color="white"
        style="font-size: 35px; font-weight: bold; font-family: monospace"
        >IT-Clinic</v-btn
      ></v-toolbar-title
    >
    <v-container>
      <v-row v-if="authStore.isLogin()" class="mt-2"
        ><v-col align="end" class="ml-5" style="color: aliceblue"
          >{{ user.username }} {{ user.fullname }}
          <v-btn
            style="background-color: aliceblue"
            color="black"
            rounded="xl"
            elevation="1"
            @click="authStore.logout"
            >ออกจากระบบ</v-btn
          ></v-col
        ></v-row
      >
      <v-row v-else class="mt-2"
        ><v-col align="end" class="ml-5"
          ><v-btn
            style="background-color: aliceblue"
            rounded="xl"
            elevation="1"
            @click="authStore.loginDialog = true"
            >เข้าสู่ระบบ</v-btn
          ></v-col
        ></v-row
      ></v-container
    ></v-toolbar
  >
</template>
<style scoped></style>
